%define majorver %(echo "%{version}" | sed "s,\..$,,")

Name:          hugin
Version:       2018.0.0
Release:       1mamba
Summary:       A panoramic photo stitcher
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://hugin.sourceforge.net
Source:        http://downloads.sourceforge.net/project/hugin/hugin/hugin-%{majorver}/hugin-%{version}.tar.bz2
Patch0:        %{name}-2010.0.0-libpng14.patch
Patch1:        hugin-2011.4.0-gcc-4.7.patch
Patch2:        hugin-2014.0.0-liblensfun-0.3.0.patch
Patch3:        hugin-2014.0.0-libboost-1.57.patch
Patch4:        hugin-2014.0.0-libboost-1.57-2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libboost-devel
BuildRequires: libexiv2-devel
BuildRequires: libfreeglut-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libglew-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libilmbase-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenexr-devel
BuildRequires: libpano13-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwxBase-unicode-devel
BuildRequires: libwxGTK-unicode-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: liblensfun-devel >= 0.3.2-1mamba
BuildRequires: libpano13-devel >= 2.9.19-1mamba
BuildRequires: cmake
BuildRequires: libtclap-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
# 3. DEPENDENCIES
# The following external programs are highly recommended:
# 1. autopano-sift-C, panomatic, autopano or autopano-sift

%description
A powerful software package for creation and processing of panoramic images.

%prep
%setup -q
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
update-desktop-database &>/dev/null
update-mime-database %{_datadir}/mime &>/dev/null
touch --no-create %{_datadir}/icons/gnome
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome
exit 0

%postun 
/sbin/ldconfig 
update-desktop-database &>/dev/null
update-mime-database %{_datadir}/mime &>/dev/null
touch --no-create %{_datadir}/icons/gnome
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/align_image_stack
%{_bindir}/autooptimiser
#%{_bindir}/autopano-noop.sh
%{_bindir}/calibrate_lens_gui
%{_bindir}/celeste_standalone
%{_bindir}/checkpto
%{_bindir}/cpfind
%{_bindir}/geocpset
%{_bindir}/icpfind
%{_bindir}/linefind
%{_bindir}/cpclean
%{_bindir}/deghosting_mask
%{_bindir}/fulla
%{_bindir}/hugin
%{_bindir}/hugin_hdrmerge
%{_bindir}/hugin_stacker
%{_bindir}/hugin_stitch_project
#%{_bindir}/matchpoint
%{_bindir}/nona
#%{_bindir}/nona_gui
%{_bindir}/pano_modify
%{_bindir}/pano_trafo
%{_bindir}/pto_gen
%{_bindir}/pto_mask
%{_bindir}/pto_merge
%{_bindir}/pto_move
%{_bindir}/pto_template
#%{_bindir}/pto2mk
%{_bindir}/pto_lensstack
%{_bindir}/pto_var
#%{_bindir}/PTBatcher
%{_bindir}/PTBatcherGUI
%{_bindir}/tca_correct
%{_bindir}/vig_optimize
%{_bindir}/hugin_executor
%{_bindir}/hugin_lensdb
%{_bindir}/verdandi
%dir %{_libdir}/hugin
%{_libdir}/hugin/libceleste*
#%{_libdir}/hugin/libflann_cpp.so.0.0
%{_libdir}/hugin/libhugin*
%{_libdir}/hugin/libicpfindlib.so.*
%{_libdir}/hugin/liblocalfeatures.so.*
#%{_libdir}/hugin/libmakefilelib.so.0.0
%dir %{_datadir}/%{name}
#%{_datadir}/%{name}/Makefile.*.mk
#%{_datadir}/%{name}/data/celeste.model
%{_datadir}/%{name}/xrc
%dir %{_datadir}/hugin/data
%{_datadir}/hugin/data/*
%{_datadir}/appdata/*.xml
%{_datadir}/applications/pto_gen.desktop
%{_datadir}/applications/PTBatcherGUI.desktop
%{_datadir}/applications/calibrate_lens_gui.desktop
%{_datadir}/applications/hugin.desktop
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/mime/packages/hugin.xml
%{_datadir}/pixmaps/hugin.png
%{_datadir}/pixmaps/ptbatcher.png
#%{python_sitearch}/_hsi.so
#%{python_sitearch}/hpi.py
#%{python_sitearch}/hsi.py
#%{_mandir}/man1/autopano-noop.sh.1*
%{_mandir}/man1/calibrate_lens_gui.1*
%{_mandir}/man1/checkpto.1*
%{_mandir}/man1/cpfind.1*
%{_mandir}/man1/geocpset.1*
%{_mandir}/man1/align_image_stack.1*
%{_mandir}/man1/autooptimiser.1*
%{_mandir}/man1/celeste_standalone.1*
%{_mandir}/man1/cpclean.1*
%{_mandir}/man1/deghosting_mask.1*
%{_mandir}/man1/fulla.1*
%{_mandir}/man1/hugin.1*
%{_mandir}/man1/hugin_hdrmerge.1*
%{_mandir}/man1/hugin_stitch_project.1*
%{_mandir}/man1/icpfind.1*
%{_mandir}/man1/linefind.1*
#%{_mandir}/man1/matchpoint.1*
%{_mandir}/man1/pto_gen.1*
%{_mandir}/man1/pto_lensstack.1*
%{_mandir}/man1/pto_mask.1*
%{_mandir}/man1/pto_move.1*
%{_mandir}/man1/pto_template.1*
%{_mandir}/man1/pto_var.1*
#%{_mandir}/man1/PTBatcher.1*
%{_mandir}/man1/PTBatcherGUI.1*
%{_mandir}/man1/nona.1*
#%{_mandir}/man1/nona_gui.1*
%{_mandir}/man1/pano_modify.1*
%{_mandir}/man1/pano_trafo.1*
%{_mandir}/man1/pto_merge.1*
#%{_mandir}/man1/pto2mk.1*
%{_mandir}/man1/tca_correct.1*
%{_mandir}/man1/vig_optimize.1*
%{_mandir}/man1/hugin_executor.1.gz
%{_mandir}/man1/hugin_lensdb.1.gz
%{_mandir}/man1/verdandi.1.gz
%doc AUTHORS 
#ChangeLog README README_JP TODO

%changelog
* Mon Feb 12 2018 Automatic Build System <autodist@mambasoft.it> 2018.0.0-1mamba
- automatic version update by autodist

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 2017.0.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 2016.2.0-1mamba
- automatic version update by autodist

* Sat Mar 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2014.0.0-2mamba
- rebuilt by autoport with build requirements: liblensfun-devel>=0.3.2-1mamba

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2014.0.0-1mamba
- update to 2014.0.0

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2013.0.0-3mamba
- rebuilt by autoport with build requirements: libpano13-devel>=2.9.19-1mamba--buildreqlibpano13-devel>=2.9.19-1mamba

* Mon Mar 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2013.0.0-2mamba
- rebuilt with openexr 2.1.0

* Sun Dec 01 2013 Automatic Build System <autodist@mambasoft.it> 2013.0.0-1mamba
- automatic version update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.0.0-3mamba
- python 2.7 mass rebuild

* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.0.0-2mamba
- libboost 1.52 mass rebuild

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 2012.0.0-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2011.4.0-2mamba
- rebuilt
- added requirement for libtclap-devel

* Mon Apr 02 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2011.4.0-1mamba
- update to 2011.4.0

* Wed Dec 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.2.0-1mamba
- update to 2010.2.0

* Wed Oct 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.0.0-1mamba
- update to 2010.0.0
- rebuilt with libpano13 2.9.17
- fixed URL field
- added libpng14 patch

* Mon Jun 14 2010 Automatic Build System <autodist@mambasoft.it> 2009.4.0-2mamba
- automatic rebuild by autodist

* Sun Mar 07 2010 Davide Madrisan <davide.madrisan@gmail.com> 2009.4.0-1mamba
- package created by autospec
